> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# priceunit

> GenericMDOProvider reads MDO lists with default settings

## "priceunit" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'priceunit'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/priceunit
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("priceunit", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name     | StyleHint | ExtraInfo |
| -- | -------- | --------- | --------- |
| 3  | FlOz     |           |           |
| 1  | kg       |           |           |
| 2  | Mt       |           |           |
| 4  | τρυβλίον |           |           |

## Related MDO Lists

* "priceunitheadings"
* "priceunitheadingswithallitem"
* "priceunitheadingswithallitemwithnoselection"
* "priceunitheadingswithnoselection"
* "priceunitwithallitem"
* "priceunitwithallitemwithnoselection"
* "priceunitwithnoselection"


## Related topics

- [PriceUnit table](/en/database/tables/priceunit.md)
- [PriceUnitGroupLink table](/en/database/tables/priceunitgrouplink.md)
- [PriceUnitHeadingLink table](/en/database/tables/priceunitheadinglink.md)
- [SuperOffice.WebApi.Data.QuoteLine](/en/api/reference/webapi/SuperOffice.WebApi.Data.QuoteLine.md)
- [SuperOffice.WebApi.Data.Product](/en/api/reference/webapi/SuperOffice.WebApi.Data.Product.md)
- [ProductInfo](/en/api/plugins/quote-connectors/api/data-carriers/productinfo.md)
